Core - Task # 56775

Epic # 55070 (Accepted): Workpackages
Epic # 54260 (Accepted): WP: FAL Missing Issues / Features / API

Story # 54264 (New): As an Enterprise User | want to use Storages outside my webroot or on remote systems in order to structure my Files

according to my IT-Guidelines
Task # 54229 (On Hold): Refactor Processor Registry like the Extractor registry

Status: On Hold Priority: Should have

Author: Steffen Ritter Category: File Abstraction Layer (FAL)
Created: 2014-03-11 Assigned To:

Updated: 2015-06-15 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity:

Sprint Focus:

Subject: Create Basic Registry and interfaces for kick-off

Description

Associated revisions

Revision 07714455 - 2014-03-11 17:46 - Frans Saris

[TASK] Create new processor registry

File processing might be different for external storages.
Therefore it must be possible to register your own File Processors
and make the registry driver aware.

Resolves: #56775

Releases: 6.2

Change-Id: 1187f6f987f7b0bc92989ed38cbef248449a7{59f
Reviewed-on: https://review.typo3.0rg/27958

Reviewed-by: Steffen Ritter
Tested-by: Steffen Ritter

History

#1 - 2014-03-11 17:46 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 8 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27958

#2 - 2014-03-11 18:30 - Frans Saris
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:077144553df1ad3000c041787f5652b3083bb798.
#3 - 2014-03-20 17:25 - Ernesto Baschny

This should be reverted, as decided this week. We have no time to properly implement the usage of this interface throughout the whole core, which
would be a pre-requisite to make this "complete” for a TYPOS release.

#4 - 2014-03-21 11:52 - Ernesto Baschny

- Category set to File Abstraction Layer (FAL)
- Status changed from Resolved to On Hold

- Target version set to 7.0

Reverted in https://review.typo3.org/#/c/28598/, postponed to next release.

#5 - 2014-03-25 09:18 - Sander Leeuwesteijn

Nvm

#6 - 2014-12-23 19:48 - Mathias Schreiber

- Target version changed from 7.0 to 7.1 (Cleanup)

#7 - 2015-06-15 17:45 - Benjamin Mack
- Target version changed from 7.1 (Cleanup) to 7.4 (Backend)
